Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.lexer
Class Cursor

    java.lang.Object
      org.htmlparser.lexer.Cursor

All Implemented Interfaces:
  Cloneable, Ordered, Serializable

public class Cursor
extends Object
implements Serializable, Ordered, Cloneable

A bookmark in a page. This class remembers the page it came from and its position within the page.

See Also:
  Serialized Form

Field Summary
`protected Page` | `mPage` This cursor's page.
`protected int` | `mPosition` This cursor's position.

Constructor Summary
`Cursor(Page page, int offset)` Construct a `Cursor` from the page and position given.

Method Summary
`void` | `advance()` Move the cursor position ahead one character.
`int` | `compare(Object that)` Compare one reference to another.
`Cursor` | `dup()` Make a new cursor just like this one.
`Page` | `getPage()` Get this cursor's page.
`int` | `getPosition()` Get the position of this cursor.
`void` | `retreat()` Move the cursor position back one character.
`void` | `setPosition(int position)` Set the position of this cursor.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mPosition

    protected int mPosition

  This cursor's position.

### mPage

    protected Page mPage

  This cursor's page.

Constructor Detail

### Cursor

    public Cursor(Page page,
                  int offset)

  Construct a `Cursor` from the page and position given.

Parameters:
  `page` - The page this cursor is on.
  `offset` - The character offset within the page.

Method Detail

### getPage

    public Page getPage()

  Get this cursor's page.

  Returns:
    The page associated with this cursor.

### getPosition

    public int getPosition()

  Get the position of this cursor.

  Returns:
    The cursor position.

### setPosition

    public void setPosition(int position)

  Set the position of this cursor.

  Parameters:
    `position` - The new cursor position.

### advance

    public void advance()

  Move the cursor position ahead one character.

### retreat

    public void retreat()

  Move the cursor position back one character.

### dup

    public Cursor dup()

  Make a new cursor just like this one.

  Returns:
    The new cursor positioned where `this` one is, and referring to the same page.

### toString

    public String toString()

### compare

    public int compare(Object that)

  Compare one reference to another.

  Specified by:
    `compare` in interface `Ordered`
  Parameters:
    `that` - The object to compare this object against.
  Returns:
    A negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the second.
  See Also:
    `Ordered`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2004 Somik Raha Mar 14, 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL.